# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'dns_domain_checker/version'

Gem::Specification.new do |spec|
  spec.name          = "dns_domain_checker"
  spec.version       = DnsDomainChecker::VERSION
  spec.authors       = ["Chase Fleming"]
  spec.email         = ["chaseefleming@gmail.com"]
  spec.summary       = %q{A domain availability checker using Dnsruby.}
  spec.description   = %q{Check if a domain is available or not. Nearly as accurate as whois, and you won't get an error if you make too many calls.}
  spec.homepage      = ""
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.5"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "rspec"

  spec.add_runtime_dependency "dnsruby"
end
